Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client
Class JBossSession

    java.lang.Object
      org.jboss.jms.client.JBossSession

All Implemented Interfaces:
  java.io.Serializable

public class JBossSession
extends java.lang.Object
implements java.io.Serializable

Version:
  `$Revision: 1.40 $` $Id: JBossSession.java,v 1.40 2006/05/06 05:05:38 ovidiu Exp $
Author:
  Ovidiu Feodorov, Tim Fox
See Also:
  Serialized Form

Field Summary
`protected SessionDelegate` | `delegate`
`protected int` | `sessionType`

Constructor Summary
`JBossSession(SessionDelegate sessionDelegate, int sessionType)`

Method Summary
`void` | `close()`
`void` | `commit()`
`QueueBrowser` | `createBrowser(Queue queue)`
`QueueBrowser` | `createBrowser(Queue queue, java.lang.String messageSelector)`
`BytesMessage` | `createBytesMessage()`
`MessageConsumer` | `createConsumer(Destination d)`
`MessageConsumer` | `createConsumer(Destination d, java.lang.String messageSelector)`
`MessageConsumer` | `createConsumer(Destination d, java.lang.String messageSelector, boolean noLocal)`
`TopicSubscriber` | `createDurableSubscriber(Topic topic, java.lang.String name)`
`TopicSubscriber` | `createDurableSubscriber(Topic topic, java.lang.String name, java.lang.String messageSelector, boolean noLocal)`
`MapMessage` | `createMapMessage()`
`Message` | `createMessage()`
`ObjectMessage` | `createObjectMessage()`
`ObjectMessage` | `createObjectMessage(java.io.Serializable object)`
`MessageProducer` | `createProducer(Destination d)`
`TopicPublisher` | `createPublisher(Topic topic)`
`Queue` | `createQueue(java.lang.String queueName)`
`QueueReceiver` | `createReceiver(Queue queue)`
`QueueReceiver` | `createReceiver(Queue queue, java.lang.String messageSelector)`
`QueueSender` | `createSender(Queue queue)`
`StreamMessage` | `createStreamMessage()`
`TopicSubscriber` | `createSubscriber(Topic topic)`
`TopicSubscriber` | `createSubscriber(Topic topic, java.lang.String messageSelector, boolean noLocal)`
`TemporaryQueue` | `createTemporaryQueue()`
`TemporaryTopic` | `createTemporaryTopic()`
`TextMessage` | `createTextMessage()`
`TextMessage` | `createTextMessage(java.lang.String text)`
`Topic` | `createTopic(java.lang.String topicName)`
`int` | `getAcknowledgeMode()`
`SessionDelegate` | `getDelegate()`
`MessageListener` | `getMessageListener()`
`QueueSession` | `getQueueSession()`
`Session` | `getSession()`
`TopicSession` | `getTopicSession()`
`boolean` | `getTransacted()`
`javax.transaction.xa.XAResource` | `getXAResource()`
`void` | `recover()`
`void` | `rollback()`
`void` | `run()`
`void` | `setMessageListener(MessageListener listener)`
`java.lang.String` | `toString()`
`void` | `unsubscribe(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### delegate

    protected SessionDelegate delegate

### sessionType

    protected int sessionType

Constructor Detail

### JBossSession

    public JBossSession(SessionDelegate sessionDelegate,
                        int sessionType)

Method Detail

### createBytesMessage

    public BytesMessage createBytesMessage()
                                    throws JMSException

  Throws:
    `JMSException`

### createMapMessage

    public MapMessage createMapMessage()
                                throws JMSException

  Throws:
    `JMSException`

### createMessage

    public Message createMessage()
                          throws JMSException

  Throws:
    `JMSException`

### createObjectMessage

    public ObjectMessage createObjectMessage()
                                      throws JMSException

  Throws:
    `JMSException`

### createObjectMessage

    public ObjectMessage createObjectMessage(java.io.Serializable object)
                                      throws JMSException

  Throws:
    `JMSException`

### createStreamMessage

    public StreamMessage createStreamMessage()
                                      throws JMSException

  Throws:
    `JMSException`

### createTextMessage

    public TextMessage createTextMessage()
                                  throws JMSException

  Throws:
    `JMSException`

### createTextMessage

    public TextMessage createTextMessage(java.lang.String text)
                                  throws JMSException

  Throws:
    `JMSException`

### getTransacted

    public boolean getTransacted()
                          throws JMSException

  Throws:
    `JMSException`

### getAcknowledgeMode

    public int getAcknowledgeMode()
                           throws JMSException

  Throws:
    `JMSException`

### commit

    public void commit()
                throws JMSException

  Throws:
    `JMSException`

### rollback

    public void rollback()
                  throws JMSException

  Throws:
    `JMSException`

### close

    public void close()
               throws JMSException

  Throws:
    `JMSException`

### recover

    public void recover()
                 throws JMSException

  Throws:
    `JMSException`

### getMessageListener

    public MessageListener getMessageListener()
                                       throws JMSException

  Throws:
    `JMSException`

### setMessageListener

    public void setMessageListener(MessageListener listener)
                            throws JMSException

  Throws:
    `JMSException`

### run

    public void run()

### createProducer

    public MessageProducer createProducer(Destination d)
                                   throws JMSException

  Throws:
    `JMSException`

### createConsumer

    public MessageConsumer createConsumer(Destination d)
                                   throws JMSException

  Throws:
    `JMSException`

### createConsumer

    public MessageConsumer createConsumer(Destination d,
                                          java.lang.String messageSelector)
                                   throws JMSException

  Throws:
    `JMSException`

### createConsumer

    public MessageConsumer createConsumer(Destination d,
                                          java.lang.String messageSelector,
                                          boolean noLocal)
                                   throws JMSException

  Throws:
    `JMSException`

### createQueue

    public Queue createQueue(java.lang.String queueName)
                      throws JMSException

  Throws:
    `JMSException`

### createTopic

    public Topic createTopic(java.lang.String topicName)
                      throws JMSException

  Throws:
    `JMSException`

### createDurableSubscriber

    public TopicSubscriber createDurableSubscriber(Topic topic,
                                                   java.lang.String name)
                                            throws JMSException

  Throws:
    `JMSException`

### createDurableSubscriber

    public TopicSubscriber createDurableSubscriber(Topic topic,
                                                   java.lang.String name,
                                                   java.lang.String messageSelector,
                                                   boolean noLocal)
                                            throws JMSException

  Throws:
    `JMSException`

### createBrowser

    public QueueBrowser createBrowser(Queue queue)
                               throws JMSException

  Throws:
    `JMSException`

### createBrowser

    public QueueBrowser createBrowser(Queue queue,
                                      java.lang.String messageSelector)
                               throws JMSException

  Throws:
    `JMSException`

### createTemporaryQueue

    public TemporaryQueue createTemporaryQueue()
                                        throws JMSException

  Throws:
    `JMSException`

### createTemporaryTopic

    public TemporaryTopic createTemporaryTopic()
                                        throws JMSException

  Throws:
    `JMSException`

### unsubscribe

    public void unsubscribe(java.lang.String name)
                     throws JMSException

  Throws:
    `JMSException`

### getSession

    public Session getSession()
                       throws JMSException

  Throws:
    `JMSException`

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()

### createReceiver

    public QueueReceiver createReceiver(Queue queue,
                                        java.lang.String messageSelector)
                                 throws JMSException

  Throws:
    `JMSException`

### createReceiver

    public QueueReceiver createReceiver(Queue queue)
                                 throws JMSException

  Throws:
    `JMSException`

### createSender

    public QueueSender createSender(Queue queue)
                             throws JMSException

  Throws:
    `JMSException`

### getQueueSession

    public QueueSession getQueueSession()
                                 throws JMSException

  Throws:
    `JMSException`

### createPublisher

    public TopicPublisher createPublisher(Topic topic)
                                   throws JMSException

  Throws:
    `JMSException`

### createSubscriber

    public TopicSubscriber createSubscriber(Topic topic,
                                            java.lang.String messageSelector,
                                            boolean noLocal)
                                     throws JMSException

  Throws:
    `JMSException`

### createSubscriber

    public TopicSubscriber createSubscriber(Topic topic)
                                     throws JMSException

  Throws:
    `JMSException`

### getTopicSession

    public TopicSession getTopicSession()
                                 throws JMSException

  Throws:
    `JMSException`

### toString

    public java.lang.String toString()

### getDelegate

    public SessionDelegate getDelegate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.